% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/fit_jagsMANEC.R
\name{fit.jagsMANEC}
\alias{fit.jagsMANEC}
\title{fit.jagsMANEC}
\usage{
fit.jagsMANEC(
  data,
  x.var,
  y.var,
  trials.var = NA,
  x.type = NA,
  y.type = NA,
  burnin = 5000,
  n.iter = burnin + 500,
  n.iter.update = 10000,
  n.tries = 3,
  params = c("top", "beta", "NEC", "SS", "SSsim"),
  over.disp = FALSE,
  sig.val = 0.01,
  model.set = "all",
  ...
)
}
\arguments{
\item{data}{a data.frame containing the data to use for the model}

\item{x.var}{the column heading indicating the concentration (x) variable}

\item{y.var}{the column heading indicating the response (y) variable}

\item{trials.var}{the column heading indicating the column for the number of "trials" for binomial response data.
If not supplied, the model may run but will not be the model you intended!}

\item{x.type}{the statistical distribution to use for the x (concentration) data. This will be guess based on the
characteristic of the input data if not supplied.}

\item{y.type}{the statistical distribution to use for the y (response) data. This may currently be one of  'binomial',
'poisson',' 'gaussian', 'beta', 'negbin' or 'gamma'. Others can be added as required, please contact the package maintainer.
If not supplied, the appropriate distribution will be guessed based on the distribution of the input data.}

\item{burnin}{the number of iterations to use as burnin.}

\item{n.iter}{the number of iterations to run following burnin for the initial jags fit. Defaults to 500 + burnin,}

\item{n.tries}{the number of tries to attempt to fit the model and attain good chain mixing. See details below.}

\item{params}{a vector of names indicating the parameters to trace during the jags fit.}

\item{sig.val}{probability value to use as the lower quantile to test significance of the predictor posterior values
against the control, to estimate NSEC as an interpolated NOEC value from smooth ECx curves.}

\item{model.set}{A vector of the names of model types to be fit. Currently defaults to
all available model types. If "NEC" is supplied, only the NEC models will be fit. If "ECx" is supplied,
 only continuous curve models will be fit. see ?fit.jagsNEC to see the available models to fit.}
}
\value{
All successully fitted jags model fits, mod.stats a data.frame of model fit statistics, NEC a model
averaged posterior of the estimated NEC, and pred.vals a list of model averaged predictions.
}
\description{
Fits a variety of NEC models using jags and provides a model averaged predictions based on DIC model weights
}
